%define major 2
%define pilot_link_version 0.11.5
%define libname %mklibname %{name} %{major}

Summary:	GNOME Pilot programs
Name:		gnome-pilot
Version: 	2.0.10
Release:	7mdk
License:	GPL/LGPL
Group:		Graphical desktop/GNOME
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.0/%{name}-%{version}.tar.bz2
# (fc) 0.1.65-3mdk don't check for USB tty device 
Patch2:		gnome-pilot-2.0.10-usb.patch.bz2
# (fc) 2.0.10-3mdk convert username to UTF-8 if needed
Patch3:		gnome-pilot-2.0.10-utf8.patch.bz2
# (fc) 2.0.10-4mdk fix memofile sync (Matt Corvil) (Mdk bug 5501)
Patch4:		gnome-pilot-2.0.10-memofile.patch.bz2
# (fc) 2.0.10-5mdk update device ID to latest kernel list
Patch5:		gnome-pilot-2.0.10-id.patch.bz2
# (fc) 2.0.10-7mdk fix crash when /proc/bus/usb is not mounted
Patch6:		gnome-pilot-2.0.10-usb-path-check.patch.bz2
URL:		http://www.gnome.org/projects/gnome-pilot/

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires: pilot-link-devel >= %{pilot_link_version}
BuildRequires: libgnomeui2-devel
BuildRequires: libpanel-applet-devel
BuildRequires: scrollkeeper
PreReq: scrollkeeper

%description
GNOME pilot is a collection of programs and daemon for integrating
GNOME and the PalmPilot (tm).

%package -n %{libname}

Summary:	GNOME pilot libraries
Group:		System/Libraries

%description -n %{libname}
GNOME-Pilot libraries 

%package -n %{libname}-devel

Summary:	GNOME pilot libraries, includes, etc
Group:		Development/GNOME and GTK+
Requires: 	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

Requires:	pilot-link-devel >= %{pilot_link_version}
Requires:	libgnomeui2-devel

Obsoletes:  %{name}-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
gpilotd libraries and includes.



%prep
%setup -q
%patch2 -p1 -b .usb
%patch3 -p1 -b .utf8
%patch4 -p1 -b .memofile
%patch5 -p1 -b .id
%patch6 -p1 -b .usb-path-check

%build

%configure2_5x--enable-usb --enable-vfs --enable-network

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std 

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): needs="gnome" section="Office/Communications/PDA" command="gpilotd-control-applet" title="Pilot" icon="%{_datadir}/pixmaps/gnome-palm.png" 
EOF

%{find_lang} %{name} --with-gnome

# remove unpackaged files 
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-pilot/conduits/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/pilot.schemas > /dev/null
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%post -n %{libname} -p /sbin/ldconfig

%preun
if [ "$1" = "0" ]; then
 GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/pilot.schemas > /dev/null
fi

%postun
%{clean_menus}
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%postun -n %{libname} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_libexecdir}/gpilotd
%{_libexecdir}/gpilot-applet
%{_libdir}/bonobo/servers/*
%dir %{_libdir}/gnome-pilot
%dir %{_libdir}/gnome-pilot/conduits
%{_libdir}/gnome-pilot/conduits/*.so*
%{_datadir}/control-center-2.0/capplets/*
%{_datadir}/gnome-pilot
%{_datadir}/idl/*
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/*
%{_menudir}/*
%{_datadir}/omf/*

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/*.so.*


%files -n %{libname}-devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*so
%{_libdir}/*a
%{_libdir}/pkgconfig/*

%changelog
* Fri Feb 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.10-7mdk
- Patch6 : fix crash when /proc/bus/usb is not mounted

* Tue Feb 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.10-6mdk
- Update patch4 with Aceeca meazura device id

* Tue Feb 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.10-5mdk
- Patch4 : update device id to latest kernel list
- Fix menu

* Mon Sep 08 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.10-4mdk
- Patch3: convert username to UTF-8 if needed

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.0.10-2mdk
- Remove gob2 buildrequires

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.0.10-1mdk
- Release 2.0.10
- Regenerate patch2

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.0.9-3mdk
- Rebuild for latest provides

* Fri Jun 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.0.9-2mdk
- Rebuild against latest libbonobo

* Mon Jun 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.0.9-1mdk
- Release 2.0.9

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.0.8-1mdk
- Release 2.0.8
- Fix requires in devel package

* Mon Apr 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.0.6-1mdk
- Release 2.0.6
- Regenerate patch2
- Remove patches 3, 4 (merged upstream)

* Thu Apr 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.0.5-1mdk
- Release 2.0.3 (GNOME2)
- Patch4: add missing bind_textdomain_codeset calls
- Remove patch0 (no longer needed)

* Wed Apr  2 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.1.71-3mdk
- Update patch2 to lower sleep before sync (hotplug is more responsive now)
- Patch3: workaround to all Palm Tungsten T detection (Mdk bug #2687)

* Fri Jan 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.71-2mdk
- Recompiled against latest openssl

* Thu Dec 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.71-1mdk
- Release 0.1.71

* Tue Dec  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.70-1mdk
- Release 0.1.70
- Regenerate patches 0 & 2
- Only add one menu entry now

* Thu Nov 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.69-1mdk
- Release 0.1.69

* Tue Oct 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.67-1mdk
- Release 0.1.67
- Regenerate patch2
- Remove patch 1 (merged upstream)
- Recompiled against pilot-link 0.11.5

* Thu Aug  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.65-6mdk
- Recompiled against pilot-link 0.11.3

* Mon Jul 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.65-5mdk
- Fix menu entry

* Fri Jul 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.65-4mdk
- Update patch3 to correctly detect USB devices when pressing Hotsync button

* Thu Jul 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.65-3mdk
- Patch3: fix USB support for devfs systems
- Regenerate patch1 for pilot-link 0.11.0
- Recompiled against pilot-link 0.11.0

* Thu Jun 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.65-2mdk
- Patch1: support for pilot-link 0.10.99

* Fri May  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.65-1mdk
- Release 0.1.65
- Patch0: disable applet generation (don't work with GNOME 2)

* Thu Jan  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.64-3mdk
- Fix shortcuts for gnome control center
- Recompiled against latest libcapplet

* Fri Dec 28 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1.64-2mdk
- fix BuildRequires

* Tue Dec  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.64-1mdk
- Release 0.1.64

* Tue Nov  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.63-1mdk
- Release 0.1.63
- Remove patch 0 & 1 (merged upstream)
- Libification

* Sun Oct 21 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1.61-6mdk
- BuildRequires: libxml-devel

* Mon Sep 17 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1.61-5mdk
- BuildRequires: GConf-devel popt-devel
- Remove redundant BuildRequires

* Mon Sep 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.61-4mdk
- Patch1: fix compilation with latest gnome-vfs
- Update patch0 with new fixes 

* Fri Sep  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.61-3mdk
- Disable oaf : it seems to break some conduits

* Tue Sep  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.61-2mdk
- Patch0: various fixes from CVS

* Thu Aug  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.61-1mdk
- Release 0.1.61
- Remove patch0 (merged upstream)

* Wed Jul  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.59-3mdk
- Fix menu entries

* Tue Jul 03 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1.59-2mdk
- BuildRequires:	db1-devel
- Remove BuildRequires:	audiofile-devel
- Remove BuildRequires:	esound-devel
- Remove BuildRequires:	gnome-libs-devel
- Remove BuildRequires:	imlib-devel
- Remove BuildRequires:	libxml-devel
- Remove BuildRequires:	ORBit-devel
- Remove BuildRequires:	XFree86-devel
- Remove BuildRequires:	zlib-devel

* Tue Jul  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.59-1mdk
- Release 0.1.59

* Sat May 26 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.1.58-0.pre2.2mdk
- Fix po install oddity (Stefan).
- s/Copyright/License/;

* Tue May 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.58-0.pre2.1mdk
- Version 0.1.58-pre2

* Mon May 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.55-0.1.5mdk
- Enable SyncAbs back

* Mon May 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.55-0.1.4mdk
- Recompiled with latest gob 
- Remove conflicts with libxml2

* Mon Mar 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.55-0.1.3mdk
- Disable compilation of SyncAbs conduit. Doesn't work with latest pilot-link
- Force regeneration of gob files

* Wed Jan  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.55-0.1.2mdk
- Correct BuildRequires

* Fri Oct 27 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.55-0.1.1mdk
- Release 0.1.55-pre

* Mon Oct 02 2000 David BAUDENS <baudens@mandrakesoft.com> 0.1.54-4mdk
- Fix menu entry

* Fri Sep 22 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.54-3mdk
- Add missing files
- Add menuentry

* Wed Sep  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.54-2mdk
- Add oaf files
- Use find_lang macro

* Tue Aug  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.54-1mdk
- Release 0.1.54

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.1.53-3mdk
- automatically added BuildRequires

* Mon Jul 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.53-2mdk
- rebuild to remove dependency on alsa

* Tue Jul 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.53-1mdk
- Release 0.1.53

* Mon Jul 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.52-3mdk
- add shell script to devel
- clean spec

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 0.1.52-2mdk
- BM + macrozification.

* Fri Jul  7 2000 dam's <damien@mandrakesoft.com> 0.1.52-1mdk
- updated from helix.

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1.50-4mdk
- Add BuildRequires: gob pilot-link-devel
- libtoolizification.

* Fri Apr 28 2000 dam's <damien@mandrakesoft.com> 0.1.50-3mdk
- added update-menus.

* Sun Apr 16 2000 Daouda Lo <daouda@mandrakesoft.com> 0.1.50-2mdk
- Oups forgot to include some devel librairies!

* Sun Apr 16 2000 Daouda Lo <daouda@mandrakesoft.com> 0.1.50-1mdk
- first mandrake build. 
- Spec file from HelixCode Inc.
